## linux-base 4.14ubuntu2

=== Makefile ===
build:
	po4a --previous po/po4a.conf

clean:
	rm -f man/*.??.[1-9]

## linux-base 3.2

=== debian/changelog ===
linux-base (3.2) unstable; urgency=low

  * Add the linux-version command, providing:
    - compare and sort operations on Linux kernel version strings
    - list of installed versions (and optionally the image paths)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 01 Apr 2011 04:07:32 +0100

linux-base (3.1) unstable; urgency=low

  * Consider a boot-loader package as installed if it is only unpacked
    (Closes: #618958)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 28 Mar 2011 04:54:52 +0100

linux-base (3) unstable; urgency=low

  * Update device names for the cciss/hpsa transition, similarly to the
    libata transition (Closes: #617256)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:15:05 +0000

linux-base (3~experimental) experimental; urgency=low

  * Separate linux-base from the linux-2.6 source package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Mar 2011 08:50:41 +0000

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.1
Build-Depends: debhelper (>> 7)
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/sid/linux-base/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/sid/linux-base/?op=log

Package: linux-base
Architecture: all
Depends: libuuid-perl, ${misc:Depends}, util-linux (>= 2.16-1) | udev (<< 146-1)
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

## linux-base 3.3

=== debian/changelog ===
linux-base (3.3) unstable; urgency=low

  * debian/control: Fix VCS URLs (Closes: #620609)
  * Update debconf template translations:
    - Slovak (Slavko) (Closes: #622118)
    - Dutch (Jeroen Schot) (Closes: #629389)
  * linux-version: Fix interpolation of command name in help, thanks to
    Jakub Wilk (Closes: #624795)
  * debian/postinst: Fix warning produced when checking a device that
    does not exist or has no recognisable filesystem (Closes: #620608)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 04 Jul 2011 05:12:18 +0100

## linux-base 3.4~bpo60+1

=== debian/changelog ===
linux-base (3.4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Jan 2012 06:03:31 +0000

linux-base (3.4) unstable; urgency=low

  * perf: Fix lookup of the real command and package names for official
    packages of Linux 3.1 onward and for custom kernels with stable
    updates

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Nov 2011 05:42:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>> 7)
-Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/sid/linux-base/
-Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/sid/linux-base/?op=log
+Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-base/
+Vcs-Browser: http://svn.debian.org/viewvc/kernel/dists/trunk/linux-base/
 
 Package: linux-base
 Architecture: all

## linux-base 3.4ubuntu2

=== debian/changelog ===
linux-base (3.4ubuntu2) precise-proposed; urgency=low

  * Forgot version diff in the 3.4ubuntu1 upload. 

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 04 May 2012 07:08:15 -0600

linux-base (3.4ubuntu1) precise-proposed; urgency=low

  * Remove /usr/bin/perf from this package as it conflicts with
    the Ubuntu kernel tools package linux-tools-common (which
    provides the real /usr/bin/perf). I can think of no reason why
    this should cause a problem. /usr/bin/perf is kernel ABI version
    specific, therefore it can only be provided by the correct
    version of linux-tools-$version-$abi.
    -LP: #931353

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 04 May 2012 06:44:05 -0600

## linux-base 3.4ubuntu3

=== debian/changelog ===
linux-base (3.4ubuntu3) precise-proposed; urgency=low

  * Remove perf man page since its provided by (and conflicts with)
    linux-tools-common.
    -LP: #1008713 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 25 Sep 2012 14:37:02 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>> 7)

=== debian/rules ===
#!/usr/bin/make -f

build:

binary: binary-arch binary-indep

binary-arch:

binary-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_install
	dh_installman
	dh_installdebconf
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

clean:
	dh_clean

## linux-base 3.5

=== debian/changelog ===
linux-base (3.5) unstable; urgency=low

  * debian/control: Set Multi-Arch: foreign to allow for installation
    of foreign linux-image packages

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Mar 2012 15:21:57 +0000

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.1
Build-Depends: debhelper (>> 7)
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-base/
Vcs-Browser: http://svn.debian.org/viewvc/kernel/dists/trunk/linux-base/

Package: linux-base
Architecture: all
Depends: libuuid-perl, ${misc:Depends}, util-linux (>= 2.16-1) | udev (<< 146-1)
Multi-Arch: ${linux-base:Multi-Arch}
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+HAVE_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
 
 build:
 
@@ -10,6 +12,11 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
+ifneq (,$(HAVE_MULTIARCH))
+	echo linux-base:Multi-Arch=foreign >>debian/linux-base.substvars
+else
+	echo linux-base:Multi-Arch= >>debian/linux-base.substvars
+endif
 	dh_install
 	dh_installman
 	dh_installdebconf

## linux-base 3.5ubuntu2

=== debian/changelog ===
linux-base (3.5ubuntu2) quantal; urgency=low

  * Added 'Build-Depends: quilt' 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 23 May 2012 13:54:16 -0600

linux-base (3.5ubuntu1) quantal; urgency=low

  * Added quilt patch support
  * Remove /usr/bin/perf from this package as it conflicts with
    the Ubuntu kernel tools package linux-tools-common (which
    provides the real /usr/bin/perf). I can think of no reason why
    this should cause a problem. /usr/bin/perf is kernel ABI version
    specific, therefore it can only be provided by the correct
    version of linux-tools-$version-$abi.
    debian/patches/0001-remove-bin-perf.patch
    -LP: #931353

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 23 May 2012 13:35:38 -0600

## linux-base 3.5ubuntu4

=== debian/changelog ===
linux-base (3.5ubuntu4) quantal-proposed; urgency=low

  * Remove perf man page since its provided by (and conflicts with)
    linux-tools-common.
    -LP: #1008713 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 25 Sep 2012 14:24:56 -0600

linux-base (3.5ubuntu3) quantal; urgency=low

  * remove the postinst script, in ubuntu we did the UUID transition
    years ago and it does not seem to take u-boot into account as a
    bootloader. this results in a debconf error message on all arm
    systems.

 --  <ogra@ubuntu.com>  Thu, 31 May 2012 17:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>> 7)
+Build-Depends: debhelper (>> 7), quilt
 Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-base/
 Vcs-Browser: http://svn.debian.org/viewvc/kernel/dists/trunk/linux-base/

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,20 @@
 #!/usr/bin/make -f
+
+include /usr/share/quilt/quilt.make
 
 HAVE_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
 
 build:
+build-stamp: $(QUILT_STAMPFN)
+	dh_testdir
+	dh_testroot
+	dh_prep
 
 binary: binary-arch binary-indep
 
 binary-arch:
 
-binary-indep:
+binary-indep: build-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -32,5 +38,5 @@
 	dh_md5sums
 	dh_builddeb
 
-clean:
-	dh_clean
+clean: unpatch
+	dh_clean build-stamp

## linux-base 4.0~bpo8+1

=== debian/changelog ===
linux-base (4.0~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Hector Oron <zumbi@debian.org>  Fri, 14 Aug 2015 18:44:41 +0200

linux-base (4.0) unstable; urgency=low

  * Remove obsolete postinst upgrade code and translations
    (Closes: #580435, #660670, #670775, #686211, #686384, #686431, #686445,
     #686459, #686480, #686602, #686610, #686662, #686687, #686704, #686705,
     #686717, #686720, #686748, #698203)
  * Run version_cmp() unit tests at build time
  * linux-version: Fix sorting of version strings containing -trunk
    (Closes: #761614)
  * perf: Update error message for missing perf executable, to refer to
    linux-perf-<version> for Linux 4.1 onward
  * debian/control: Drop support for pre-multiarch releases
  * debian/control: Update Vcs-* fields to use anonscm.debian.org
  * debian/control: Update policy version to 3.9.6; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 21:24:05 +0100

## linux-base 4.0ubuntu1

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.6
Build-Depends: debhelper (>> 7)
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux-base/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-base/

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

=== debian/rules ===
#!/usr/bin/make -f

build:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
endif

binary: binary-arch binary-indep

binary-arch:

binary-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_install
	dh_installman
	dh_installdebconf
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

clean:
	dh_clean

## linux-base 4.3~bpo8+1

=== debian/changelog ===
linux-base (4.3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 14 Jun 2016 22:55:39 +0200

linux-base (4.3) unstable; urgency=medium

  * Add linux-check-removal command for use by package prerm scripts
    - Override lintian warning and error for this unusual debconf usage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 06 Jun 2016 17:06:15 +0100

linux-base (4.2) unstable; urgency=medium

  * Change source format to 3.0 (native) so that .git directory is excluded
    by default
  * Add manual page for linux-update-symlinks
  * read_kernelimg_conf(): Quietly ignore settings used only by kernel-package
  * debian/rules: Add build-{arch,indep} targets
  * debian/control: Update policy version to 3.9.8; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Jun 2016 23:03:37 +0100

linux-base (4.1) unstable; urgency=medium

  * Adjust for migration to git:
    - Add .gitignore files
    - debian/control: Update Vcs-* fields (Closes: #824748)
  * Add image_stem() and read_kernelimg_conf() functions to Perl module
  * Add linux-update-symlinks command for use by package maintainer scripts

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Jun 2016 02:13:38 +0100

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.8
Build-Depends: debhelper (>> 7)
Vcs-Git: https://anonscm.debian.org/git/kernel/linux-base.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux-base.git

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-build:
+build: build-arch build-indep
+
+build-arch:
+
+build-indep:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
 endif
@@ -18,6 +22,7 @@
 	dh_installdebconf
 	dh_installchangelogs
 	dh_installdocs
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms

## linux-base 4.5~deb8u1

=== debian/changelog ===
linux-base (4.5~deb8u1) jessie-security; urgency=medium

  * Rebuild for jessie; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 20 Jul 2018 02:42:43 +0100

linux-base (4.5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Danish debconf template translation.
    Thanks to Joe Dalton <joedalton2@yahoo.dk> (Closes: #830587)
  * Update Brazilian Portuguese debconf templates translation.
    Thanks to Diego Neves <diego@diegoneves.eti.br> (Closes: #830691)

  [ Ben Hutchings ]
  * Update Dutch debconf template translations (Frans Spiesschaert)
    (Closes: #837097)
  * perf: Drop support for versions older than 3.2
  * Use dh with debhelper compat level 9
  * Add bash completion wrapper for perf (Closes: #702482)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 17 Sep 2016 00:59:15 +0100

linux-base (4.4) unstable; urgency=medium

  [ Ben Hutchings ]
  * Update debconf template translations:
    - Portuguese (Américo Monteiro) (Closes: #826779)
    - Polish (Łukasz Dulny)
    - Japanese (Victory)
    - Russian (Yuri Kozlov) (Closes: #828772)
    - German (Markus Hiereth)
    - French (Jean-Pierre Giraud) (Closes: #830171)
  * linux-check-removal: Fix substitution of package name in debconf title

  [ Salvatore Bonaccorso ]
  * Update Swedish debconf template translation.
    Thanks to Martin Bagge <brother@bsnet.se> (Closes: #828725)
  * Update Czech debconf template translation.
    Thanks to Michal Simunek <michal.simunek@gmail.com> (Closes: #828944)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 08 Jul 2016 17:54:11 +0200

## linux-base 4.5ubuntu1~12.04.1

=== debian/changelog ===
linux-base (4.5ubuntu1~12.04.1) precise; urgency=low

  * Update precise to the latest linux-base. (LP: #1766728)

 -- Andy Whitcroft <apw@canonical.com>  Wed, 25 Jul 2018 17:30:21 +0100

linux-base (4.5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - do not install /usr/bin/perf, perf.8, bash-completion/perf
      which are provided by linux-tools-common (LP:1008713)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 28 Apr 2017 05:16:31 +0100

linux-base (4.0ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - do not install /usr/bin/perf or perf.8 which are provided by
      linux-tools-common (LP: #1008713)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 13 Jan 2016 17:18:53 +0000

## linux-base 4.5ubuntu1~14.04.1

=== debian/changelog ===
linux-base (4.5ubuntu1~14.04.1) trusty; urgency=low

  * Update trusty to the latest linux-base. (LP: #1766728)

 -- Andy Whitcroft <apw@canonical.com>  Wed, 25 Jul 2018 17:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>> 7)
+Build-Depends: debhelper (>> 9), bash-completion
 Vcs-Git: https://anonscm.debian.org/git/kernel/linux-base.git
 Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux-base.git

## linux-base 4.5ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>> 9), bash-completion

## linux-base 4.5ubuntu1.1~16.04.1

=== debian/changelog ===
linux-base (4.5ubuntu1.1~16.04.1) xenial; urgency=medium

  * Add linux-base-sgx package with SGX udev rules (LP: #1867820).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 18 Mar 2020 08:32:20 -0300

linux-base (4.5ubuntu1~16.04.1) xenial; urgency=low

  * Update xenial to the latest linux-base. (LP: #1766728)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 24 Apr 2018 18:36:02 -0300

## linux-base 4.5ubuntu1.2~16.04.1

=== debian/changelog ===
linux-base (4.5ubuntu1.2~16.04.1) xenial; urgency=medium

  * Update SGX udev rules for version LD_1.33 (LP: #1881338).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 14:43:40 -0300

## linux-base 4.5ubuntu1.2

=== debian/changelog ===
linux-base (4.5ubuntu1.2) bionic; urgency=medium

  * Update SGX udev rules for version LD_1.33 (LP: #1881338).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 14:39:07 -0300

linux-base (4.5ubuntu1.1) bionic; urgency=medium

  * Add linux-base-sgx package with SGX udev rules (LP: #1867820).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 17 Mar 2020 16:17:43 -0300

=== debian/control ===
--- 
+++ 
@@ -15,3 +15,11 @@
 Description: Linux image base package
  This package contains files and support scripts for all Linux
  images.
+
+Package: linux-base-sgx
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Linux image base package for DCAP SGX
+ This package contains files and support scripts for all Linux
+ images with DCAP SGX drivers.

## linux-base 4.5ubuntu1.7

=== debian/changelog ===
linux-base (4.5ubuntu1.7) bionic; urgency=medium

  * linux-version: Fix sorting of versions provided via stdin to match
    the output when provided via argv (LP: #1926985).

 -- dann frazier <dann.frazier@canonical.com>  Wed, 07 Jul 2021 14:34:55 -0600

linux-base (4.5ubuntu1.6) bionic; urgency=medium

  * Rewrite xx-update-initrd-links to use linux-update-symlinks. This will
    now make installkernel behaviour match the linux-image-*.postinst
    behaviour exactly with respect to creating & updating vmlinu? and
    initrd.img symlinks in / or /boot. LP: #1929255

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Jun 2021 09:44:21 +0100

linux-base (4.5ubuntu1.5) bionic; urgency=medium

  * Check for update-initramfs being installed before running the postinst
    hook which updates the softlinks (LP: #1928700).

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2021 19:08:33 +0200

linux-base (4.5ubuntu1.4) bionic; urgency=medium

  * Make the new posinst hook executable (the correct bits were lost when
    adding the scripts via debdiff) (LP: #1877088).

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 29 Apr 2021 15:27:48 +0200

linux-base (4.5ubuntu1.3) bionic; urgency=medium

  [ Stefan Bader ]
  * Add kernel postinst hook to update initrd softlinks to match the kernel
    version targets (LP: #1877088).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Apr 2021 13:17:10 +0200

## linux-base 4.5ubuntu2

=== debian/changelog ===
linux-base (4.5ubuntu2) devel; urgency=medium

  * Default to link_in_boot by default, on all architectures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Apr 2019 17:20:45 +0100

## linux-base 4.5ubuntu2.2

=== debian/changelog ===
linux-base (4.5ubuntu2.2) eoan; urgency=medium

  * Update SGX udev rules for version LD_1.33 (LP: #1881338).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 14:34:46 -0300

linux-base (4.5ubuntu2.1) eoan; urgency=medium

  * Add linux-base-sgx package with SGX udev rules (LP: #1867820).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 18 Mar 2020 13:05:24 +0200

## linux-base 4.5ubuntu3

=== debian/changelog ===
linux-base (4.5ubuntu3) focal; urgency=medium

  * Add linux-base-sgx package with SGX udev rules (LP: #1867820).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 18 Mar 2020 13:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>> 9), bash-completion

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
endif

## linux-base 4.5ubuntu3.1

=== debian/changelog ===
linux-base (4.5ubuntu3.1) focal; urgency=medium

  * Update SGX udev rules for version LD_1.33 (LP: #1881338).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 14:23:24 -0300

## linux-base 4.5ubuntu3.5

=== debian/changelog ===
linux-base (4.5ubuntu3.5) focal; urgency=medium

  * Rewrite xx-update-initrd-links to use linux-update-symlinks. This will
    now make installkernel behaviour match the linux-image-*.postinst
    behaviour exactly with respect to creating & updating vmlinu? and
    initrd.img symlinks in / or /boot. LP: #1929255

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Jun 2021 09:43:06 +0100

linux-base (4.5ubuntu3.4) focal; urgency=medium

  * Check for update-initramfs being installed before running the postinst
    hook which updates the softlinks (LP: #1928700).

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2021 11:17:15 +0200

linux-base (4.5ubuntu3.3) focal; urgency=medium

  * Make the new posinst hook executable (the correct bits were lost when
    adding the scripts via debdiff) (LP: #1877088).

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 29 Apr 2021 15:23:57 +0200

linux-base (4.5ubuntu3.2) focal; urgency=medium

  [ Stefan Bader ]
  * Add kernel postinst hook to update initrd softlinks to match the kernel
    version targets (LP: #1877088).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Apr 2021 13:13:59 +0200

## linux-base 4.5ubuntu3.6

=== debian/changelog ===
linux-base (4.5ubuntu3.6) focal; urgency=medium

  [ Tim Gardner ]
  * Add SGX support for Linux >= v5.11 (LP: #1932582)
    - Added a udev rule for v5.11 SGX device names,

  [ Tim Gardner & Dimitri John Ledkov ]
    - Add /etc/profile.d/linux-base-sgx.sh and
    /usr/lib/systemd/system-environment-generators/linux-base-sgx to
    export environmental variable for out-of-process attestation by
    default for: tty login sessions; ssh login sessions; systemd
    user services; systemd system services.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 23 Jun 2021 16:39:54 +0100

## linux-base 4.5ubuntu3.7

=== debian/changelog ===
linux-base (4.5ubuntu3.7) focal; urgency=medium

  * linux-version: Fix sorting of versions provided via stdin to match
    the output when provided via argv (LP: #1926985).

 -- dann frazier <dann.frazier@canonical.com>  Wed, 07 Jul 2021 14:20:10 -0600

## linux-base 4.5ubuntu4

=== debian/changelog ===
linux-base (4.5ubuntu4) groovy; urgency=medium

  * Update SGX udev rules for version LD_1.33 (LP: #1881338).

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 14:23:24 -0300

## linux-base 4.5ubuntu4.1

=== debian/changelog ===
linux-base (4.5ubuntu4.1) groovy; urgency=medium

  * linux-version: Fix sorting of versions provided via stdin to match
    the output when provided via argv (LP: #1926985).

 -- dann frazier <dann.frazier@canonical.com>  Wed, 07 Jul 2021 14:19:11 -0600

## linux-base 4.5ubuntu5

=== debian/changelog ===
linux-base (4.5ubuntu5) hirsute; urgency=medium

  * Add kernel postinst hook to update initrd softlinks to match the kernel
    version targets (LP: #1877088).

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 03 Feb 2021 16:05:08 +0100

## linux-base 4.5ubuntu5.4

=== debian/changelog ===
linux-base (4.5ubuntu5.4) hirsute; urgency=medium

  * linux-version: Fix sorting of versions provided via stdin to match
    the output when provided via argv (LP: #1926985).

 -- dann frazier <dann.frazier@canonical.com>  Wed, 07 Jul 2021 14:13:01 -0600

linux-base (4.5ubuntu5.3) hirsute; urgency=medium

  [ Tim Gardner ]
  * Add SGX support for Linux >= v5.11 (LP: #1932582)
    - Added a udev rule for v5.11 SGX device names,

  [ Tim Gardner & Dimitri John Ledkov ]
    - Add /etc/profile.d/linux-base-sgx.sh and
    /usr/lib/systemd/system-environment-generators/linux-base-sgx to
    export environmental variable for out-of-process attestation by
    default for: tty login sessions; ssh login sessions; systemd
    user services; systemd system services.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 23 Jun 2021 16:29:18 +0100

linux-base (4.5ubuntu5.2) hirsute; urgency=medium

  * Rewrite xx-update-initrd-links to use linux-update-symlinks. This will
    now make installkernel behaviour match the linux-image-*.postinst
    behaviour exactly with respect to creating & updating vmlinu? and
    initrd.img symlinks in / or /boot. LP: #1929255

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Jun 2021 09:40:13 +0100

linux-base (4.5ubuntu5.1) hirsute; urgency=medium

  * Make the new posinst hook executable (the correct bits were lost when
    adding the scripts via debdiff) (LP: #1877088).
  * Check for update-initramfs being installed before running the postinst
    hook which updates the softlinks (LP: #1928700).

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2021 19:01:16 +0200

## linux-base 4.5ubuntu9

=== debian/changelog ===
linux-base (4.5ubuntu9) impish; urgency=medium

  [ Tim Gardner ]
  * Add SGX support for Linux >= v5.11 (LP: #1932582)
    - Added a udev rule for v5.11 SGX device names,

  [ Tim Gardner & Dimitri John Ledkov ]
    - Add /etc/profile.d/linux-base-sgx.sh and
    /usr/lib/systemd/system-environment-generators/linux-base-sgx to
    export environmental variable for out-of-process attestation by
    default for: tty login sessions; ssh login sessions; systemd
    user services; systemd system services.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 22 Jun 2021 07:38:37 -0600

linux-base (4.5ubuntu8) impish; urgency=medium

  * Rewrite xx-update-initrd-links to use linux-update-symlinks. This will
    now make installkernel behaviour match the linux-image-*.postinst
    behaviour exactly with respect to creating & updating vmlinu? and
    initrd.img symlinks in / or /boot. LP: #1929255

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 27 May 2021 10:43:52 +0100

linux-base (4.5ubuntu7) impish; urgency=medium

  * Check for update-initramfs being installed before running the postinst
    hook which updates the softlinks (LP: #1928700).

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2021 17:55:34 +0200

linux-base (4.5ubuntu6) impish; urgency=medium

  * linux-version: Fix sorting of versions provided via stdin to match 
    the output when provided via argv (LP: #1926985).

 -- dann frazier <dann.frazier@canonical.com>  Mon, 03 May 2021 10:16:43 -0600

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
 endif
+
+override_dh_install:
+	dh_install
+	chmod -v +x debian/linux-base/etc/kernel/postinst.d/*
+	chmod -v +x debian/linux-base-sgx/usr/lib/systemd/system-environment-generators/*

## linux-base 4.5ubuntu9%2B22.04.1

=== debian/changelog ===
linux-base (4.5ubuntu9+22.04.1) jammy; urgency=medium

  * Add missing Apport links for kernel packages (LP: #2018128)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 05 Mar 2025 12:11:34 +0100

## linux-base 4.5ubuntu9+22.04.1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.8

## linux-base 4.5ubuntu9+24.04.1

=== debian/changelog ===
linux-base (4.5ubuntu9+24.04.1) noble; urgency=medium

  * Add missing Apport links for kernel packages (LP: #2018128)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 05 Mar 2025 12:07:36 +0100

## linux-base 4.5ubuntu9+24.04.2

=== debian/changelog ===
linux-base (4.5ubuntu9+24.04.2) noble; urgency=medium

  * Add missing Apport links for HWE (and other new) kernel packages
    (LP: #2141393).

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 23 Feb 2026 10:52:34 +0100

## linux-base 4.5ubuntu9.1

=== debian/changelog ===
linux-base (4.5ubuntu9.1) oracular; urgency=medium

  * Add missing Apport links for kernel packages (LP: #2018128)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 18 Feb 2025 09:47:58 +0100

## linux-base 4.6

=== debian/changelog ===
linux-base (4.6) unstable; urgency=medium

  * debian/control: Remove everyone else from Uploaders field, since no-one
    else has actually uploaded this
  * Fix typo in linux-update-symlinks.1, thanks to Sven Joachim
    (Closes: #876215)
  * debian/control: Point Vcs URLs to Salsa
  * linux-check-removal: Assume we're in a container if
    /run/systemd/container exists
  * linux-check-removal: Work around debconf cache management bug (see #908001)
  * Add unit tests for image_list() function used by linux-version
  * Change image_list() to match /boot/vmlinu[xz]-* regardless of architecture
    (Closes: #925379)
  * Take over kernel-img.conf(5) manual page from kernel-common
    (Closes: #925415)
  * kernel-img.conf(5): Update various text to be independent of kernel-package
  * kernel-img.conf(5): Document differences in support between package
    creators
  * kernel-img.conf(5): Document variables used by linux-update-symlinks
  * kernel-img.conf(5): Fix some spelling errors
  * kernel-img.conf(5): Update the summary of what uses the file
  * Add translations of kernel-img.conf(5) from kernel-package

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 07 Apr 2019 17:58:17 +0100

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.8
Build-Depends: debhelper (>> 9), bash-completion, libtext-glob-perl, po4a
Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: kernel-common (<= 13.018+nmu1)
Replaces: kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

## linux-base 4.6+nmu1

=== debian/changelog ===
linux-base (4.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:37:22 +0800

## linux-base 4.9

=== debian/changelog ===
linux-base (4.9) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * d/control: Use my debian.org email in Uploaders field
  * Remove perf wrappers, as linux-perf now provides an unversioned perf
    command (Closes: #983314, #990165)
    - d/control: Add versioned Breaks on linux-perf to avoid leaving users
      with no perf command
  * linux-version: Skip detached signature files when listing kernels
    (Closes: #906873)

  [ dann frazier ]
  * linux-version: Fix sorting of versions provided via stdin to match
    the output when provided via argv (Closes: #987851)

  [ Gioele Barabucci ]
  * debian/NEWS: Remove outdated file
  * po/fr: Store in canonical form
  * debian/rules: Remove stray `--with bash-completion`
  * debian/control: Remove unused dependency on `bash-completion`

 -- Ben Hutchings <benh@debian.org>  Thu, 19 May 2022 04:05:24 +0200

linux-base (4.8) unstable; urgency=medium

  * po: fr.po: Updated French man page translation (Closes: #1003731)
  * debian/copyright: Update copyright information for German and French
    translations

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 16 Jan 2022 17:42:36 +0100

linux-base (4.7) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * man: perf.1: Remove doubled word 'are' in manpage.
    Thanks to Ivan Kharpalev for the report and patch (Closes: #931506)
  * po: de.po: Updated German man page translation.
    Thanks to Helge Kreutzmann (Closes: #977939)
  * Set Rules-Requires-Root to no
  * Annotate test-only build dependencies with <!nocheck>
  * debian/copyright: Convert to machine-readable format 1.0
  * Declare compliance with Debian policy 4.6.0
  * postinst: Use 'set -e' in script body instead of passing -e to shell in
    shebang line
  * Add myself to Uploaders

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Dec 2021 13:21:16 +0100

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
Rules-Requires-Root: no

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: kernel-common (<= 13.018+nmu1), linux-perf (<< 5.16.2-1~exp1)
Replaces: kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
endif

## linux-base 4.10.1

=== debian/changelog ===
linux-base (4.10.1) unstable; urgency=medium

  * No-change source upload for testing migration

 -- Ben Hutchings <benh@debian.org>  Tue, 25 Jun 2024 00:48:43 +0200

linux-base (4.10) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/lintian-overrides: Update syntax
  * d/lintian-overrides: Ignore templates used by linux-check-removal
  * d/copyright: Fix spelling of Portuguese

  [ Ben Hutchings ]
  * Add linux-sysctl-defaults package for sysctl default configuration
  * d/copyright: Split out translation copyrights by filename
  * d/copyright: Correct copyright holder for debian/po/vi.po
  * d/copyright: Add missing copyright holders and dates
  * linux-update-symlinks: Run restorecon on symlinks if possible
    (Closes: #906729)
  * Update debconf template translations:
    - Update Spanish (Camaleón) (Closes: #1029025)
    - Update Turkish (Mert Dirik) (Closes: #1030837)
    - Add Romanian (Remus-Gabriel Chelu) (Closes: #1032336)

 -- Ben Hutchings <benh@debian.org>  Sun, 23 Jun 2024 21:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
 Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
@@ -18,3 +18,11 @@
 Description: Linux image base package
  This package contains files and support scripts for all Linux
  images.
+
+Package: linux-sysctl-defaults
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: default sysctl configuration for Linux
+ This package contains a sysctl configuration file setting some
+ sensible defaults for Linux.

## linux-base 4.10.1ubuntu1

=== debian/changelog ===
linux-base (4.10.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Default to link_in_boot by default, on all architectures.
    - Add kernel postinst hook to update initrd softlinks to match the kernel
      version targets (LP: #1877088, #1929255).
    - Check for update-initramfs being installed before running the postinst
      hook which updates the softlinks (LP: #1928700).
    - Add linux-base-sgx package with SGX udev rules (LP: #1867820, #1881338,
      #1932582)
      - Add /etc/profile.d/linux-base-sgx.sh and
        /usr/lib/systemd/system-environment-generators/linux-base-sgx to
        export environmental variable for out-of-process attestation by
        default for: tty login sessions; ssh login sessions; systemd
        user services; systemd system services.
  * Add Apport package hook and links for kernel packages (LP: #2018128)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 13 Nov 2024 17:57:51 +0100

## linux-base 4.10.1ubuntu2

=== debian/changelog ===
linux-base (4.10.1ubuntu2) plucky; urgency=medium

  * Update Apport links for kernel packages (LP: #2098735)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 18 Feb 2025 09:26:38 +0100

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
Rules-Requires-Root: no

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: apport (<< 2.30.0-0ubuntu5~), kernel-common (<= 13.018+nmu1), linux-perf (<< 5.16.2-1~exp1)
Replaces: apport (<< 2.30.0-0ubuntu5~), kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

Package: linux-sysctl-defaults
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: default sysctl configuration for Linux
 This package contains a sysctl configuration file setting some
 sensible defaults for Linux.

Package: linux-base-sgx
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux image base package for DCAP SGX
 This package contains files and support scripts for all Linux
 images with DCAP SGX drivers.

## linux-base 4.11

=== debian/changelog ===
linux-base (4.11) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update Catalan debconf template translations (poc senderi)
    (Closes: #1091708)

  [ Noah Meyerhans ]
  * Set Priority: important for linux-sysctl-defaults
    linux-sysctl-defaults should be installed by default on the typical Debian
    system.  Although it is recommended by several components of the default
    install, Recommends are not applied during debootstrap, so it isn't installed.
    Raising the priority to important ensures that it's installed in expected
    places. (Closes: #1090811)

  [ Salvatore Bonaccorso ]
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files
  * linux-sysctl-defaults: dh_install: Make target path relative to package
    build directory

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 Jan 2025 13:33:30 +0100

## linux-base 4.12~bpo12+1

=== debian/changelog ===
linux-base (4.12~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports:
    - linux-run-hooks: Never try to run hooks from /usr/share/kernel
    - d/salsa-ci.yml: Set RELEASE to bookworm-backports

 -- Ben Hutchings <benh@debian.org>  Sun, 01 Jun 2025 18:46:23 +0200

linux-base (4.12) unstable; urgency=medium

  * d/changelog: Word-wrap previous entry to under 80 characters
  * d/copyright: Replace old FSF addresses with current GNU license URL
  * Add linux-run-hooks command for use by package maintainer scripts
  * man: Fix some minor formatting issues, thanks to Bjarni Ingi Gislason
    (Closes: #1095744, #1100702)
  * kernel-img.conf(5): Remove documentation of kernel-package
    (Closes: #1099472)
  * kernel-img.conf(5): Simplify description of support status
  * linux-sysctl-defaults: Increase vm.max_map_count to 1048576
    (Closes: #1076510)

 -- Ben Hutchings <benh@debian.org>  Sun, 25 May 2025 21:16:36 +0200

## linux-base 4.12~mx23ahs

=== debian/changelog ===
linux-base (4.12~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux:
    - d/salsa-ci.yml: Set RELEASE to mx23-ahs

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Jun 2025 10:47:01 -0700

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
Rules-Requires-Root: no

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: kernel-common (<= 13.018+nmu1), linux-perf (<< 5.16.2-1~exp1)
Replaces: kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

Package: linux-sysctl-defaults
Architecture: all
Priority: important
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: default sysctl configuration for Linux
 This package contains a sysctl configuration file setting some
 sensible defaults for Linux.

## linux-base 4.12

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: linux-base
 Section: kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Ben Hutchings <benh@debian.org>,
-           Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
 Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git

## linux-base 4.12ubuntu1

=== debian/changelog ===
linux-base (4.12ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Default to link_in_boot by default, on all architectures.
    - Add kernel postinst hook to update initrd softlinks to match the kernel
      version targets (LP: #1877088, #1929255).
    - Check for update-initramfs being installed before running the postinst
      hook which updates the softlinks (LP: #1928700).
    - Add linux-base-sgx package with SGX udev rules (LP: #1867820, #1881338,
      #1932582).
    - Add Apport package hook and links for kernel packages (LP: #2018128,
      #2098735).
  * Change package maintainer to Ubuntu Kernel Team.
  * Fix linux-base-sgx lintian warnings and add overrides.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 27 May 2025 12:02:50 +0200

## linux-base 4.12+parrot1

=== debian/changelog ===
linux-base (4.12+parrot1) lory; urgency=medium

  * Import new Debian Backports release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 27 Jun 2025 16:00:51 +0200

## linux-base 4.12.1

=== debian/changelog ===
linux-base (4.12.1) trixie; urgency=medium

  * d/salsa-ci.yml: Set RELEASE to trixie
  * linux-run-hooks(1): Fix description of the first argument
  * linux-run-hooks: Use compatible hook dir names for headers packages
    (Closes: #1121366)

 -- Ben Hutchings <benh@debian.org>  Tue, 20 Jan 2026 13:44:51 +0100

## linux-base 4.13

=== debian/changelog ===
linux-base (4.13) experimental; urgency=medium

  [ Salvatore Bonaccorso ]
  * postinst hook: Use reboot-required to flag required reboot
    (Closes: #1010699)

  [ Ben Hutchings ]
  * postinst hook: Fix installation directory

 -- Ben Hutchings <benh@debian.org>  Fri, 11 Jul 2025 13:20:04 +0200

## linux-base 4.14

=== debian/changelog ===
linux-base (4.14) unstable; urgency=medium

  * Upload to unstable
  * d/salsa-ci.yml: Remove obsolete lintian error suppression

 -- Ben Hutchings <benh@debian.org>  Fri, 18 Jul 2025 14:19:44 +0200
